<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:didl="urn:mpeg:mpeg21:2002:01-DIDL-NS" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
     <html xmlns:time="urn:schemas-microsoft-com:time">
       <head>
         <xsl:text disable-output-escaping="yes">
          &lt;?import namespace="time" implementation="#default#time2"&gt;
         </xsl:text>
         <style>
           .time {behavior: url(#default#time2)}
         </style>
         <title>Video</title>
       </head>
       <script type="text/javascript">
         var paused = 0
         function popUp(URL) {
          day = new Date();
          id = day.getTime();
          eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=500,height=800,left = 490,top = 362');");
         }
         function pauseResume()
         {
          if (paused==0)
          {
           movie.pauseElement()
           sound.pauseElement()
           paused = 1
          }
          else
          {
           movie.resumeElement()
           sound.resumeElement()
           paused = 0
          }
         }
         function disablePlay()
         {
          div1.disabled=true
          div1.onclick=""
          link1.disabled=false
          link1.href="video.html"
         }
       </script>
       <body>
	 <form name="the_form" action="view.jsp" method="post">
         <a name="label1"></a>
         <table border="1">
           <tr>
             <td align="center">
               <div style="width:171px; height:175px;">
                 <time:video clipBegin="0s" dur="15s" id="movie" onEnd="noPause()" repeatCount="1" style="border:solid; color:gray; border-width:5px; width:128px; height:96">
                     <xsl:attribute name="src">
                       <xsl:value-of select="//didl:ITEM[@ID='1']/didl:COMPONENT[@ID='VIDEO']/didl:RESOURCE/@REF"></xsl:value-of>
                     </xsl:attribute>
                     <xsl:attribute name="type">
                       <xsl:value-of select="//didl:ITEM[@ID='1']/didl:COMPONENT[@ID='VIDEO']/didl:DESCRIPTOR[@ID='VIDEO_FORMAT']/didl:STATEMENT"></xsl:value-of>
                     </xsl:attribute>
                 </time:video>
                 <time:audio clipBegin="0s" dur="15s" id="sound" repeatCount="1">
                     <xsl:attribute name="src">
                       <xsl:value-of select="//didl:ITEM[@ID='1']/didl:COMPONENT[@ID='AUDIO']/didl:RESOURCE/@REF"></xsl:value-of>
                     </xsl:attribute>
                     <xsl:attribute name="type">
                       <xsl:value-of select="//didl:ITEM[@ID='1']/didl:COMPONENT[@ID='AUDIO']/didl:DESCRIPTOR[@ID='AUDIO_FORMAT']/didl:STATEMENT"></xsl:value-of>
                     </xsl:attribute>
                 </time:audio>
                 <br></br>
                 <br></br>
                 <font size="2">
                   <div id="div1" onclick="pauseResume()" style="color:blue; cursor:pointer">
                        <u>Play/Pause</u>
                   </div>
                   <a disabled="true" href="#label1" id="link1" style="color:blue">Restart</a>
                   <br></br>
                   <a href="#" style="color:blue" onClick="javascript:document.forms['the_form'].submit();">Change Media</a>
                 </font>
               </div>
             </td>
           </tr>
         </table>
	</form>
       </body>
     </html>
  </xsl:template>
</xsl:stylesheet>
