<%@ page import="java.util.*,java.sql.*,java.io.*,org.jdom.*,org.jdom.input.*,org.jdom.output.*,org.jdom.transform.*,javax.xml.transform.*,javax.xml.transform.stream.*,java.util.*,java.io.*" %>


 <%
   final String USERNAME = "grp2";
   final String PASSWORD = "grp2";
   final String TEXT_TYPE = "urn:mpeg:mpeg21:did/statement-types/text/plain";
   final String XML_TYPE = "urn:mpeg:mpeg21:did/statement-types/text/xml";
   final int id = 2;   

   Connection conn = null;
    try {
	//      Class.forName("com.mysql.jdbc.Driver", true, DriverManagerConnectionFactory.class.getClassLoader()).newInstance();
      Class.forName("com.mysql.jdbc.Driver").newInstance();
    }catch (Exception e){
	out.print(e.getMessage());
    }
	try{
    conn = DriverManager.getConnection("jdbc:mysql://localhost.localdomain/grp2?user="+USERNAME+"&password="+PASSWORD);
    SAXBuilder builder = new SAXBuilder();
    XMLOutputter outp = new XMLOutputter(Format.getPrettyFormat());
    ResultSet rs;
    Statement st;

    Statement chaptersST;
    ResultSet chaptersRS;
    
    st = conn.createStatement();
    rs = st.executeQuery("SELECT * FROM metadata WHERE id="+id);
    
    String didl="<DIDL xmlns=\"urn:mpeg:mpeg21:2002:01-DIDL-NS\"\n\t";
    //System.out.println("HERE       "+didl);
    //String didl="<DIDL \n\t";
    rs.next();
    //int videoID ;//= Integer.parseInt(rs.getString("video"));
    //int audioID ;//= Integer.parseInt(rs.getString("audio"));
    int lectureId = Integer.parseInt(rs.getString("id"));
    String lectureTitle = rs.getString("title");
    String comment = rs.getString("comment");
    String department = rs.getString("department");
    String prof = rs.getString("professor");
    String course = rs.getString("class_id");
    String courseName = rs.getString("course_name");
    String uni = rs.getString("university");
    String logoLocation = rs.getString("logo");
    
    String declarations = "<DECLARATIONS>";
    chaptersST = conn.createStatement();
    chaptersRS = chaptersST.executeQuery("SELECT * FROM chapters WHERE lecture_id="+id+" ORDER BY chapter_number");
    ResultSet mpeg7Result = st.executeQuery("SELECT * FROM mpeg7 WHERE lecture_id="+lectureId);

    while (mpeg7Result.next()){// Create the mpeg-7 header
      int schemeID = Integer.parseInt(mpeg7Result.getString("scheme"));
      String locationMpeg7 = mpeg7Result.getString("location");
      String desc = mpeg7Result.getString("description");
      String desc_text = mpeg7Result.getString("description_text");
      Statement st2 = conn.createStatement();
      ResultSet schemeResult = st2.executeQuery("SELECT * FROM schemes WHERE id="+schemeID);
      schemeResult.next();
      String namespace = schemeResult.getString("namespace");
      String location = schemeResult.getString("location");
     
      // Add the namespace
      didl += " xmlns:"+namespace+"=\""+location+"\" \n\t";
      
      // Add the declarations
      declarations += "\n  <DESCRIPTOR ID=\""+desc+"\">";
      declarations += "\n    <DESCRIPTOR><STATEMENT TYPE=\""+TEXT_TYPE+"\"> "+desc_text+" </STATEMENT></DESCRIPTOR>";
      declarations += "\n    <STATEMENT TYPE=\""+XML_TYPE+"\">";
      
      /*SAXBuilder mpeg7Builder = new SAXBuilder();
      XMLOutputter mpeg7Outp = new XMLOutputter(Format.getPrettyFormat());
      Document mpeg7XML = mpeg7Builder.build(locationMpeg7);
      String mpeg7String=mpeg7Outp.outputString(mpeg7XML);
      
      
      declarations += mpeg7String;*/
      declarations += "\n       <REFERENCE URI=\""+locationMpeg7+"\" />";
      declarations += "\n    </STATEMENT></DESCRIPTOR>";  
      
    }
    didl += ">";
    didl += "\n"+declarations + "\n  </DECLARATIONS>\n";
    
    didl += "\n  <CONTAINER>";
    // Some Descriptors
    didl += "\n    <DESCRIPTOR ID=\"UNIVERSITY\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+uni+"</STATEMENT></DESCRIPTOR>";
    didl += "\n    <DESCRIPTOR ID=\"DEPARTMENT\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+department+"</STATEMENT></DESCRIPTOR>";
    didl += "\n    <DESCRIPTOR ID=\"PROFESSOR\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+prof+"</STATEMENT></DESCRIPTOR>";
    didl += "\n    <DESCRIPTOR ID=\"COURSE\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+course+"</STATEMENT></DESCRIPTOR>";
    didl += "\n    <DESCRIPTOR ID=\"LECTURE_TITLE\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+lectureTitle+"</STATEMENT></DESCRIPTOR>";
    didl += "\n    <DESCRIPTOR ID=\"LECTURE_DESCRIPTION\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+comment+"</STATEMENT></DESCRIPTOR>";
    didl += "\n    <DESCRIPTOR ID=\"LOGO\"><COMPONENT><RESOURCE REF=\""+logoLocation+"\" /></COMPONENT></DESCRIPTOR>";
    while (chaptersRS.next()){
      int chapterID = chaptersRS.getInt("id");
      int videoID = chaptersRS.getInt("video");
      int audioID = chaptersRS.getInt("audio");
      int chapterNumber = chaptersRS.getInt("chapter_number");
      String chapterComment = chaptersRS.getString("comment");
      didl += "\n    <ITEM ID=\""+chapterNumber+"\" >";
      didl += "\n      <DESCRIPTOR ID=\"CHAPTER_TITLE\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+chapterComment+"</STATEMENT></DESCRIPTOR>";
      if (videoID>0){ // if there is a video add it to the Digital Item
        Statement videoStatement = conn.createStatement();
        ResultSet videoRS = videoStatement.executeQuery("SELECT * FROM video WHERE id="+videoID);
        videoRS.next();
        String videoLocation = videoRS.getString("location");
        String videoComment = videoRS.getString("comment");
        String thumbnailLocation = videoRS.getString("thumbnail_location");
        String format = videoRS.getString("format");
        didl += "\n   <COMPONENT ID=\"VIDEO\">";
        didl += "\n      <DESCRIPTOR ID=\"VIDEO_DESC\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+videoComment+"</STATEMENT></DESCRIPTOR>";
        didl += "\n      <DESCRIPTOR ID=\"VIDEO_FORMAT\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+format+"</STATEMENT></DESCRIPTOR>";
        didl += "\n      <DESCRIPTOR ID=\"THUMBNAIL\"><COMPONENT><RESOURCE REF=\""+thumbnailLocation+"\" /></COMPONENT></DESCRIPTOR>";
        didl += "\n      <RESOURCE REF=\""+videoLocation+"\" TYPE=\"video/"+format+"\" />";
        didl += "\n   </COMPONENT>";    
      }
      if (audioID>0){
        Statement audioStatement = conn.createStatement();
        ResultSet audioRS = audioStatement.executeQuery("SELECT * FROM audio WHERE id="+audioID);
        audioRS.next();
        String audioLocation = audioRS.getString("location");
        String audioComment = audioRS.getString("comment");
        String format = audioRS.getString("format");
        didl += "\n   <COMPONENT ID=\"AUDIO\">";
        didl += "\n      <DESCRIPTOR ID=\"AUDIO_DESC\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+audioComment+"</STATEMENT></DESCRIPTOR>";
        didl += "\n      <DESCRIPTOR ID=\"AUDIO_FORMAT\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+format+"</STATEMENT></DESCRIPTOR>";
        didl += "\n      <RESOURCE REF=\""+audioLocation+"\" TYPE=\"audio/"+format+"\" />";
        didl += "\n   </COMPONENT>";    
      }
      Statement slidesStatement = conn.createStatement();
      ResultSet slidesRS = slidesStatement.executeQuery("SELECT * FROM slides WHERE chapter_id="+chapterID+" ORDER BY sequence_id");
      didl += "\n    <COMPONENT ID=\"SLIDES\">";
      int totalTime = 0;
      while (slidesRS.next()){
        int sequenceID = Integer.parseInt(slidesRS.getString("sequence_id"));
        int duration = Integer.parseInt(slidesRS.getString("duration"));
        String slideLocation = slidesRS.getString("location");
        String slideFormat = slidesRS.getString("type");
        didl += "\n     <ANCHOR FRAGMENT=\""+duration+"\">";
        didl += "\n        <DESCRIPTOR ID=\"SLIDE_NUMBER\"><STATEMENT TYPE=\""+TEXT_TYPE+"\">"+sequenceID+"</STATEMENT></DESCRIPTOR>";
        didl += "\n        <DESCRIPTOR ID=\"SLIDE_LOCATION\"><COMPONENT><RESOURCE REF=\""+slideLocation+"\" TYPE=\"image/"+slideFormat+"\" /></COMPONENT></DESCRIPTOR>";
        didl += "\n     </ANCHOR>";
        totalTime += duration;
      }
      // Create an empty resource
      didl += "<RESOURCE REF=\"empty\" TYPE=\"empty\" />";
      didl += "\n      </COMPONENT>";
      
      didl += "\n    </ITEM>";
    }
    didl += "\n  </CONTAINER>";
    didl += "\n</DIDL>";
    Reader xslReader = new StringReader(didl);

    File transform = new File("/home/grp2/jakarta-tomcat-5.5.9/webapps/ROOT/interface/slides.xsl");

    StreamSource sTransform = new StreamSource(transform);
    TransformerFactory tFactory = TransformerFactory.newInstance();
    Transformer transformer = tFactory.newTransformer(sTransform);
    StreamSource source = new StreamSource(xslReader);
	

  
	
    StringWriter strWriter = new StringWriter();
    StreamResult result = new StreamResult(strWriter);
	

    transformer.transform(source, result);

	String strOutput = strWriter.getBuffer().toString();

	File currentDir = new File ("/home/grp2/jakarta-tomcat-5.5.9/webapps/ROOT/interface/");

        File tmpDidl = File.createTempFile("didl",".xml",currentDir);

        BufferedWriter outFile = new BufferedWriter(new FileWriter(tmpDidl.getAbsolutePath()));
        outFile.write(didl);
        outFile.close();


        String didlName = "http://wwwtest.dsp:8080/interface/"+tmpDidl.getName();
        String transformName = "http://wwwtest.dsp:8080/interface/slides.xsl";
        strOutput += "<a href=\"javascript:popUp('"+didlName+"')\"> Digital Item </a>&nbsp;&nbsp;";
        strOutput +=  "<a href=\"javascript:popUp('"+transformName+"')\"> XSLT Sheet </a>";
        out.print(strOutput);

	//String tmp = new String();;
	//writ.write(tmp);
//	out.print(tmp);
//    outp.output(xslDoc, out);  
//   out.print(didl);
}catch (Exception e){
	PrintWriter a = new PrintWriter(out);
	e.printStackTrace(a);

}
%>
